//
//  TSColor.swift
//  TOC
//
//  Created by ios on 2020/7/17.
//  Copyright © 2020 XiamenHY. All rights reserved.
//

import Foundation
import UIKit

struct TSColor {
    
    static let white = UIColor.color(hexString: "#FFFFFF")
    static let theme = UIColor.color(hexString: "#3386FF")
    static let lightGray = UIColor.color(hexString: "#999999")
    static let black = UIColor.color(hexString: "#333333")
    static let blue = UIColor.color(hexString: "#033592")
    static let lightBlue = UIColor.color(hexString: "#2D81FF")
    
    static let title = UIColor.color(hexString: "#2D2D2D")
    static let titleDesc = UIColor.color(hexString: "#9B9B9B")
    static let titleLine = UIColor.color(hexString: "#F2F2F2")
    static let highlightedLine = UIColor.color(hexString: "#A4A4A4")
    
    static let dividerLine = UIColor.color(hexString: "#EEEEEE")
    
    static let background = UIColor.color(hexString: "#F8F8F8")
    
    static let unSelected = UIColor.color(hexString: "#706F6F")
    
    static let temDividerColor = UIColor.color(hexString: "#F4F4F4")
    
    static let placeholder = UIColor.color(hexString: "#B3B3B3")
    
    static let dotted = UIColor.color(hexString: "#CFCFCF")
}

extension UIFont {
    
    enum SymbolicTraits {
        case regular, medium, bold
    }
    
    static func pingFang(size: CGFloat, traits: SymbolicTraits = .regular) -> UIFont {
        switch traits {
        case .regular:
            return UIFont.init(name: "PingFangSC-Regular", size: size) ?? UIFont.systemFont(ofSize: size)
        case .medium:
            return UIFont.init(name: "PingFangSC-Medium", size: size) ?? UIFont.systemFont(ofSize: size)
        case .bold:
            return UIFont.init(name: "PingFangSC-Semibold", size: size) ?? UIFont.boldSystemFont(ofSize: size)
        }
    }
}
